{# Automatically extends the right outer layout and also handles AJAX situations #}
{% extends data.outerLayout %}

{% import 'header.html' as header %}

{% block title %}

  {# Create a useful, SEO-friendly title tag based on what we have #}
  {% if data.piece %}
    {{ data.piece.title }} | Truffl
  {% elseif data.page %}
    {{ data.page.title }} | Truffl
  {% else %}
    {{ apos.log('Looks like you forgot to override the title block in a template that does not have access to an Apostrophe page or piece.') }}
  {% endif %}

{% endblock %}

{% block extraHead %}{% endblock %}

{% block bodyClass %}
  {{ super() }} side-nav
{% endblock %}

{% block beforeMain %}
  {% if data.query['apos-ajax'] %}
  {% else %}
    {% include "/pages/parts/menu.html" %}
    {% include "/pages/parts/transition.html" %}
  {% endif %}
{% endblock %}

{% block main %}{% endblock %}

{% block afterMain %}

  <script>
    console.log('3')
    console.log({{ data.query | json }});

  </script>

  {% if data.query['apos-ajax'] %}

  {% else %}

  <div class="page-container" id="footer">

    <div class="container ">

      <div class="footer">

        <div class="footer-left">
          <div class="stretched">

            <img class="footer-logo" src="/modules/my-truffl/images/Positive_Silver@2x.png">

            <div class="company-info">
              {{ apos.singleton(data.global, 'footerPhoneNumberNew', 'custom-link', {})}}

              {# Los Angeles - 9800 Wilshire Blvd, Beverly Hills, CA 90212 #}
              {# New York - 6 St Johns Ln, New York, NY 10013 #}
              {{ apos.singleton(data.global, 'footerAddresses', 'apostrophe-rich-text', {}) }}

            </div>

          </div>
        </div>
        <div class="footer-right">
          <div class="footer-links">

              <div class="push-right">
               {{ apos.area(data.global, 'footerLinksOnRight', {
                          widgets: {
                              'drawer-explore-block': {
                                size: '',
                                animation: 'animated'
                              }
                          }
                  }) }}

                 <div class="subscribe">
                  <input class="subscriber-email" type="text" placeholder="Enter your email"/>
                  <button class="subscribe-button" type="button">Join</button>
                </div>

              </div>
             

             

            </div>

          </div>

        </div>

      </div>

    </div>
  </div>
{%endif%}
{% endblock %}